// cve_shared.c : Defines the entry point for the command_line application.
//
// used to test the CABS Viewer Engine SO function

#include "cve_shared.h"

int main(int argc, char* argv[])
{
	options_t opts; // read cve_shared.h for details of contents

	// always initialize the options struct to a known good state
	init_options(&opts);

	// at this point the options can be modified directly

	// now call the main processing function with:
	//  an input file name (which must exist and be readable) and
	//  an output file name (which should not exist and will be in a 
	//     writable location) and
	//  the populated options structure, which dictates the processing
	//     that should take place

	// Note: the default output format is TEXT
	cvengine("demo_data42.dat","demo_data42.text",&opts);
	return (0);
}
// EOF
